#pragma once
#include "Entity.h"
#define CS_GUNSMITHANI_CREATENAME L"CS_gunsmith_animate"
class CS_GunsmithAni :
    public Entity
{
public:
    CS_GunsmithAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    int wink_counter = 0;
};

std::shared_ptr<Entity> CreateCS_GunsmithAni();